cabal-fmt-0.1.12: Format .cabal files

Copyright | Oleg Grenrus
License | GPL-3.0-or-later
Safe Haskell | Safe-Inferred
Language | Haskell2010

CabalFmt.Options

Description

# Documentation

data Mode #

Constructors

ModeStdout |
ModeInplace |
ModeCheck |

#### Instances

Instances details

Show Mode # |
Instance details Defined in CabalFmt.Options Methods showsPrec :: Int -> Mode -> ShowS # show :: Mode -> String # showList :: [Mode] -> ShowS #
Eq Mode # |
Instance details Defined in CabalFmt.Options Methods (==) :: Mode -> Mode -> Bool # (/=) :: Mode -> Mode -> Bool #

data Options #

Constructors

Options |
Fields optError :: !Bool optIndent :: !Int optTabular :: !Bool optCabalFile :: !Bool optSpecVersion :: !CabalSpecVersion optMode :: !Mode

#### Instances

Instances details

HasOptions Options # |
Instance details Defined in CabalFmt.Options Methods options :: Functor f => LensLike' f Options Options #
Show Options # |
Instance details Defined in CabalFmt.Options Methods showsPrec :: Int -> Options -> ShowS # show :: Options -> String # showList :: [Options] -> ShowS #
MonadCabalFmt Options CabalFmt # |
Instance details Defined in CabalFmt.Monad Methods listDirectory :: FilePath -> CabalFmt [FilePath] # doesDirectoryExist :: FilePath -> CabalFmt Bool # readFileBS :: FilePath -> CabalFmt Contents # displayWarning :: String -> CabalFmt () #
MonadReader Options CabalFmt # |
Instance details Defined in CabalFmt.Monad Methods ask :: CabalFmt Options # local :: (Options -> Options) -> CabalFmt a -> CabalFmt a # reader :: (Options -> a) -> CabalFmt a #

defaultOptions :: Options #

data OptionsMorphism #

#### Instances

Instances details

Monoid OptionsMorphism # |
Instance details Defined in CabalFmt.Options Methods mempty :: OptionsMorphism # mappend :: OptionsMorphism -> OptionsMorphism -> OptionsMorphism # mconcat :: [OptionsMorphism] -> OptionsMorphism #
Semigroup OptionsMorphism # |
Instance details Defined in CabalFmt.Options Methods (<>) :: OptionsMorphism -> OptionsMorphism -> OptionsMorphism # sconcat :: NonEmpty OptionsMorphism -> OptionsMorphism # stimes :: Integral b => b -> OptionsMorphism -> OptionsMorphism #

mkOptionsMorphism :: (Options -> Options) -> OptionsMorphism #

runOptionsMorphism :: OptionsMorphism -> Options -> Options #

class HasOptions e where #

Methods

options :: Functor f => LensLike' f e Options #

#### Instances

Instances details

HasOptions Options # |
Instance details Defined in CabalFmt.Options Methods options :: Functor f => LensLike' f Options Options #